c ParaDyn - Parallel DYNAMO - molecular dynamics with EAM potentials
c 
c Authored by Steve Plimpton
c   (505) 845-7873, sjplimp@cs.sandia.gov
c   Dept 9221, MS 1111, Sandia National Labs, Albuquerque, NM  87185-1111
c
c Based on the serial DYNAMO code authored by
c   Stephen Foiles (foiles@ca.sandia.gov), Sandia National Labs, Livermore, CA
c   Murray Daw (daw@hubcap.clemson.edu), Clemson University
c
c See the README file for more information
c
      
      subroutine error(str)
#include "paradyn.h"
#include "mpif.h"
      character*(*) str

      if (node.eq.0) then

        if (str(1:8).ne.'All Done') then
          if (logflag.ne.0) write (1,*) 'ERROR: ',str
          write (6,*) 'ERROR: ',str
        endif
        time_end = mpi_wtime()
        if (logflag.ne.0)
     $       write (1,*) 'Total job time =',time_end-time_start
        write (6,*) 'Total job time =',time_end-time_start
        close (1)
        close (2)
        close (3)

      endif

      call mpi_finalize(ierror)
      call exit(0)

      end
